| Version: 3.0.4

Public Member Functions | Static Public Member Functions | List of all members
wxImageHistogram Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/image.h>`

Inheritance diagram for wxImageHistogram:
[legend]

## Public Member Functions
| wxImageHistogram ()
bool | FindFirstUnusedColour (unsigned char *r, unsigned char *g, unsigned char *b, unsigned char startR=1, unsigned char startG=0, unsigned char startB=0) const

## Static Public Member Functions
static unsigned long | MakeKey (unsigned char r, unsigned char g, unsigned char b)

## Constructor & Destructor Documentation

## ◆ wxImageHistogram()

wxImageHistogram::wxImageHistogram | ( |  | ) |

## Member Function Documentation

## ◆ FindFirstUnusedColour()

bool wxImageHistogram::FindFirstUnusedColour | ( | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | unsigned char | startR = `1`,
|  | unsigned char | startG = `0`,
|  | unsigned char | startB = `0`
| ) |  | const

## ◆ MakeKey()

static unsigned long wxImageHistogram::MakeKey | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) |  |
| static